<?php
class Bpd extends CI_Controller {
	var $dlevel;
	var $idu;
	var $nama_lengkap;
	var $tahun;
    var $username="SMKTI_GLOBAL_DPS";
    
    var $pwd="smk1wr13tdpsglbl";

    var $instansi= "SMK_TI_DENPASAR";

	// public function __construct()
	// {
	// 	parent::__construct();

	// 	if($statusnya=$this->session->userdata('sibaru_in') )
	//     {
	// 		$this->load->model('Sibaru_model');
	// 		$this->idu=$statusnya['id'];
	// 		$this->nama_lengkap=$statusnya['nama_lengkap'];
	// 		$this->dlevel=$statusnya['id_level'];
	// 		$this->tahun=$statusnya['thn'];
	// 	} else 		{
	// 		redirect('home/login', 'refresh');
	// 	}
	// }

    public function index(){  
       phpinfo();
    }

    public function test(){
        try{
            $soapclient = new SoapClient('http://180.242.244.3:7070/ws_bpd_payment/interkoneksi/v1/ws_interkoneksi.php?wsdl');
            $param=array('username'=>$this->username,'password'=>$this->pwd);
            $response =$soapclient->ws_echo_test();
            var_dump($response);
            echo '<br><br><br>';
            $array = json_decode(json_encode($response), true);
            print_r($array);
             echo '<br><br><br>';
           
            }catch(Exception $e){
                echo $e->getMessage();
            }	
    }


     public function test2(){
        try{
            $soapclient = new SoapClient('http://180.242.244.3:7070/ws_bpd_payment/interkoneksi/v1/ws_interkoneksi.php?wsdl');
            $param=array('username'=>$this->username,'password'=>$this->pwd);
            $response =$soapclient->ws_echo_test();
            var_dump($response);
            echo '<br><br><br>';
            $array = json_decode(json_encode($response), true);
            print_r($array);
             echo '<br><br><br>';
           
            }catch(Exception $e){
                echo $e->getMessage();
            }	
    }

}
